#include <ESP8266WiFi.h>
#include <Servo.h>

const char*ssid="Evolukid";
const char*password="evolukid";

#define SERVO1 2
#define SERVO2 16

WiFiServer server(80);
Servo monServomoteur1;
Servo monServomoteur2;

void setup() {
  
  monServomoteur1.attach(SERVO1);
  monServomoteur2.attach(SERVO2);

  stopServo();

  Serial.begin(9600);
  Serial.print("Connexion à ");
  Serial.println(ssid);

  WiFi.begin(ssid,password);

  while(WiFi.status() != WL_CONNECTED){
    delay(500);
    Serial.print(".");
  }

  Serial.println("WIFI OK");
  server.begin();
  Serial.println("SERVER OK");

  Serial.println(WiFi.localIP());
}

void loop() {

  WiFiClient client = server.available();
  if(!client){
    return;
  }

  while(!client.available()){
    delay(10);
  }

  String request = client.readStringUntil('\r');
  client.flush();
    
  if(request.indexOf("ACTION=UP_ON")!=-1){
    avancer();
    }
  else if (request.indexOf("ACTION=UP_OFF")!=-1){
    stopServo();
    }
  else if (request.indexOf("ACTION=BACK_ON")!=-1){
    reculer();
    }
  else if (request.indexOf("ACTION=BACK_OFF")!=-1){
    stopServo();
    }
  else if (request.indexOf("ACTION=RIGHT_ON")!=-1){
    droite();
    }
  else if (request.indexOf("ACTION=RIGHT_OFF")!=-1){
    stopServo();
    }
  else if (request.indexOf("ACTION=LEFT_ON")!=-1){
    gauche();
    }
  else if (request.indexOf("ACTION=LEFT_OFF")!=-1){
    stopServo();
    }
}

void avancer(){
  pinMode(SERVO1,OUTPUT);
  pinMode(SERVO2,OUTPUT);
  monServomoteur1.write(0);
  monServomoteur2.write(180);
}

void reculer(){
  pinMode(SERVO1,OUTPUT);
  pinMode(SERVO2,OUTPUT);
  monServomoteur1.write(180);
  monServomoteur2.write(0);
}

void gauche(){
  pinMode(SERVO1,OUTPUT);
  pinMode(SERVO2,OUTPUT);
  monServomoteur1.write(0);
  monServomoteur2.write(0);
}

void droite(){
  pinMode(SERVO1,OUTPUT);
  pinMode(SERVO2,OUTPUT);
  monServomoteur1.write(180);
  monServomoteur2.write(180);
}
void stopServo(){
  monServomoteur1.write(90);
  monServomoteur2.write(90);
  pinMode(SERVO1,INPUT);
  pinMode(SERVO2,INPUT);
}
